package com.hgsoft.selfclse.timing.business.utils;

import org.apache.commons.lang.StringUtils;

public class JobParamUtil {

   private static final String BOOLEAN_STRING = "true";


   public static Boolean getBooleanByKey(String param, String key) {
      String str = getStrByKey(param, key);
      return Boolean.valueOf("true".equals(str));
   }

   public static Integer getIntegerByKey(String param, String key, Integer defaultValue) {
      String str = getStrByKey(param, key);
      return StringUtils.isBlank(str)?defaultValue:Integer.valueOf(str);
   }

   public static String getStrByKey(String param, String key, String defaultValue) {
      String str = getStrByKey(param, key);
      return StringUtils.isBlank(str)?defaultValue:str;
   }

   public static String getStrByKey(String param, String key) {
      if(StringUtils.isBlank(param)) {
         return null;
      } else {
         String[] arrSplit = param.split("[&]");
         String[] var6 = arrSplit;
         int var5 = arrSplit.length;

         for(int var4 = 0; var4 < var5; ++var4) {
            String strSplit = var6[var4];
            String[] arrSplitEqual = null;
            arrSplitEqual = strSplit.split("[=]");
            if(arrSplitEqual.length > 1 && key.equals(arrSplitEqual[0])) {
               return arrSplitEqual[1];
            }
         }

         return null;
      }
   }

   public static Long getLongByKey(String param, String key, Long defaultValue) {
      String str = getStrByKey(param, key);
      return StringUtils.isBlank(str)?defaultValue:Long.valueOf(str);
   }

   public static void main(String[] args) {
      System.out.println(getStrByKey("Action=del&id=123", "Action"));
   }
}
